Support Support Downloads Knowledge Base Juniper Support Portal Community

Knowledge Base

Search our Knowledge Base sites to find answers to your questions.

Ask All Knowledge Base Sites All Knowledge Base Sites JunosE Defect (KA)Knowledge BaseSecurity AdvisoriesTechnical BulletinsTechnotes Sign in to display secure content and recently viewed articles

[Junos Space] Warning message: Mismatch with device OS version/Schema Update needed

0

0

Article ID: KB28915 KB Last Updated: 18 Jun 2020Version: 3.0
Summary:

This article explains the warning message issued when the device version and the DMI (Device Management Interface) schema version do not match on a Junos device. It also provides a way to help resolve the situation.

Symptoms:

There is a mismatch between the device version and the DMI schema version installed on a Junos device.

Cause:

If the device version and the DMI schema version installed on a Junos device do not match, one of the following warnings is issued:

  • [Mismatch with device OS version] (in older versions of Junos Space)

  • [Schema Update needed] (in newer versions of Junos Space)

Note: Although the wording is different, these warnings point out the same issue.

Solution:

To resolve this situation (a warning, not an error), you should install matching device and DMI schema versions.

If you are unable to match the versions because you cannot locate the required DMI schema in the repository server, you can install the DMI schema version that is closest to the device version. For example, DMI schema 11.4R7.5 can be used with device version 11.4R6.6, even though they do not match.

Upgrade to Space 19.4 or above when using S releases, Space will now automatically use the closest match Schema and Not show a warning.

Example:

Notes:

  • You can install only one "closest" schema version per product type. For example, if the default SRX schema is set to use 11.4R7, any SRX code version that does not have matching schema will use the 11.4R7 schema. This schema is usually acceptable for other 11.4 devices because the major code version is the same, but it will probably cause problems for different major versions such as 12.1.

  • Junos Space DMI Schemas are released only for major releases and maintenance releases. In general, a schema is not published for service releases. Also, to accommodate the validation process, there is normally a delay of two weeks before a schema is made available for Junos Space.


To set the default schema:

  1. Log into the Junos Space WebGUI.

  2. Go to Platform > Administration > DMI Schemas.

  3. Select the required schema version, right-click, then select Set Default Schema.


For more information on how to update the DMI schema, see the following KB articles:

Modification History:

2020-06-18: Added the part about 19.4 supporting S releases with an example.

Comment on this article > Affected Products Browse the Knowledge Base for more articles related to these product categories. Select a category to begin.

Getting Up and Running with Junos

Getting Up and Running with Junos Security Alerts and Vulnerabilities Product Alerts and Software Release Notices Problem Report (PR) Search Tool EOL Notices and Bulletins JTAC User Guide Customer Care User Guide Pathfinder SRX High Availability Configurator SRX VPN Configurator Training Courses and Videos End User Licence Agreement Global Search